From: morse@learn.ltc.vanderbilt.edu (Doug Morse)
Newsgroups: comp.databases.informix,comp.databases.oracle,comp.databases.ibm-db2
Subject: Re: Trying to decide whether to support DB2 or Oracle
Date: 2 May 2001 07:14:38 GMT
Organization: Vanderbilt University usenet news server
Lines: 118
Message-ID: <slrn9evcuo.cku.morse@learn.ltc.vanderbilt.edu>
References: <xZHH6.76$HQ3.62982@nnrp2.sbc.net>
Reply-To: morse@isarchitects.com
NNTP-Posting-Host: playground.ltc.vanderbilt.edu
X-Trace: news.vanderbilt.edu 988787678 7567 129.59.213.87 (2 May 2001 07:14:38 GMT)
X-Complaints-To: usenet@news.vanderbilt.edu
NNTP-Posting-Date: 2 May 2001 07:14:38 GMT
User-Agent: slrn/0.9.6.2 (Linux)


Joe,

I worked with Informix for many, many years and also found it to be a very
quality product.  In recent years I have worked more with Sybase and, out of
necessity, its cousin MS SQL Server.  Now I actively work a great deal with
IBM DB2.  I have found all of these DBMSs to be quality products, each
having their own unique strengths and weaknesses, as well as philosophies
and accompanying "cultures".  I only have a passing acquaintance with Oracle
but I don't doubt for a moment that it is an impressive product line and
also has many talented individuals in its "camp".

That said, here are a few simple comments (and please take them as just
that) more on the business end of things.  According to some figures, Oracle
and IBM DB2 were pretty much neck to neck in total sales figures for 1999,
capturing about 30% market share each (MS SQL Server was number 3 at 16%).
So, if one believes these figures and that they indiciate something
important, then it's hard to see from a business perspective how you could
go wrong with either choice.

Given that, what has lead me more toward IBM DB2 is more the nature of what
IBM does in comparison to the nature of what Oracle does.  Granted, I don't
know in great deal what all Oracle does, but my impression is that they are
very much a database vendor, and that it is only in their more recent
history that they have branched out into other, more software-development
related markets.  (Aside: I'd be most happy to hear if I'm wrong on this
point -- I'd very much like to hear what knowledeable Oracle folks think are
the important and emerging directions Oracle has taken and is taking.)

In comparison, IBM has always been a strong software shop and, despite DB2's
long history, have only more recently started pushing their database product
lines and with obvious success.  IBM Global Services is contracted to write
an enormous amount of enterprise-level software annually, much of which uses
DB2.  IBM creates and sells highly recognized software development tools and
subsystems (e.g., VisualAge Jave, VisualAge Smalltalk, MQSeries, etc.).  IBM
gives away a lot of software (consulting fees alone are a huge revenue
stream for them).  They are big into education and have an enormous
collection of excellent and free online education materials for wide range
of topics (e.g., all their redbooks, articles on DB2, Java J2EE, XML/DB2,
XML/Java, etc.), and many of these free publications/articles are top notch.

So, what's my point and why am I talking so much about software development
in a set of database-oriented newsgroups?  I guess the point I'm trying to
make is that the "right" answer to the business side of the question "Oracle
vs. DB2" very much depends on what kind of business partner you want to have
in your database vendor.  This is an obvious point, but sometimes it's
beneficial to state the obvious...

I like IBM as a partner because they excel not just at databasing, but also
at software development and software-related consulting services.  I value
education and easy access to it and so do they.  I value broad and
aggressive research agendas (i.e., not just research on databasing) and so
do they (e.g., TJ Watson Research Center).  I prefer slow, stable and
unified releases, even if it means lagging a bit behind, which is something
for which IBM is often criticized (e.g., nearly all IBM Java technologies
are at Java 1.2.2 even though 1.3 has been around for quite some time;
Websphere is at EJB 1.0 while competitors have been at 1.1 for a while and
the 2.0 standard is nearing completion).  I like the way IBM markets more
than the way Oracle markets, and I think IBM makes better commercials ;-)

So, here's my $0.02 worth: Go live in one "camp" for a while and then "live"
in the other for a while before making your choice.  That's the best way to
find out which is right for you (and in my opinion, the only really
effective way).  Encourage your "followers" (so to speak) to do the same.
Folks like me in these comp.databases.* newsgroup can provide our opinions
all day long, but when the day is done you really won't know until you give
both a fair try (esp. given your extensive background).  If nothing else,
doing a project with one, and then with the other, and then comparing to all
your Informix experience would likely make for an excellent article to write
and to post on your website.  I'd bet such an article would get a lot of
attention (and that probably wouldn't be bad for your business, either! ;-)

Cheers!
Doug


On Tue, 1 May 2001 18:48:59 -0500, Joe Lumbley <joe@lumbley.com> wrote:
> For those of you who don't know me, I am the author of the "Informix DBA
> Survival Guide", which is the best-selling book ever published about
> Informix, published by Informix Press and in its second edition.  My figures
> show that approximately 25-35% of all Informix shops have a copy of my book.
> I've been a speaker at the last two Informix User Conferences, so there
> should no be no question that before last Tuesday, I've been 100% Informix.
> I dream in ESQL/C.
> 
>  I've had over 6000 visitors to my Informix DBA Survival Guide website in
> the last week, and many of my customers and prospective customers are asking
> me for guidance about where to go from here.  Problem is, I'm not sure what
> to tell them.
> 
> Now, I'm in a quandary.  I believe that in the long run, Informix products
> are toast.  I'm looking for good business reasons why I should support
> either DB2 or Oracle.  I'm considering becoming "database agnostic, but that
> is a little bit "middle of the road" for my tastes.  I believe that
> eventually I will either move totally to the DB2 or to the Oracle camp, and
> I'm having a hard time deciding which is the better move in the short and
> long terms.  I believe I will probably remain database-agnostic until
> someone shows me good reasons why I should go either way.
> 
> I'm cross-posting this to the Informix, DB2, and Oracle groups, not with the
> intention of starting a flame war or sticking a knife in anybody, but in the
> interest in learning more about the two camps.  I'm much more interested
> today in the business side than in the technical side.  If you ask me today,
> I'll still say Informix is the best technical choice, but I am open to
> proof.
> 
> Why would it make more business sense for a consultant such as myself to
> move into either one of these two camps?  I market a CRM application for
> Informix, and I think this may tend to tilt the advantage to Oracle because
> of their dominance in the CRM market, but I'm ready to listen to all sides.
> 
> If anybody can give me a peek from an executive or decision-maker's
> viewpoint, that would be even better.  I know we're all techies here,  and
> that we don't always know what's happening in the walnut-paneled offices.
> 
> Joe Lumbley
> JP Lumbley & Associates, LLC
> Dallas, Tx


